#include "node.hpp"
#include "components.hpp"

typedef std::vector<Node *> Nodes;
typedef Nodes SuperNode;
typedef std::vector<SuperNode *> SuperNodes;

typedef std::vector<Resistor *> Resistors;
typedef std::vector<DynamicImpedanceDevice *> DynamicImpedanceDevices;
// typedef std::vector<ImpedanceDevice *> ImpedanceDevices;
typedef std::vector<NonLinearDevice *> NonLinearDevices;
typedef std::vector<InputSource *> InputSources;

typedef std::vector<std::vector<double>> ConductanceMatrix;
typedef std::vector<double> ConstantSourceVector;